# Uses of Class
org.apache.sling.jcr.contentloader.PathEntry

Packages that use PathEntry
Package
Description
org.apache.sling.jcr.contentloader

## Uses of PathEntry in org.apache.sling.jcr.contentloader

Methods in org.apache.sling.jcr.contentloader that return types with arguments of type PathEntry
Modifier and Type
Method
Description
`static @Nullable Iterator<PathEntry>`
PathEntry.`getContentPaths(@NotNull Manifest manifest, long bundleLastModified)`
Parses the "Sling-Initial-Content" header from the given manifest and returns the resolved PathEntries
`static @Nullable Iterator<PathEntry>`
PathEntry.`getContentPaths(Map<String,String> headers, long bundleLastModified)`
Parses the "Sling-Initial-Content" header from the given headers and returns the resolved PathEntries
`static @Nullable Iterator<PathEntry>`
PathEntry.`getContentPaths(org.osgi.framework.Bundle bundle)`
Parses the "Sling-Initial-Content" header from the given bundle and returns the resolved PathEntries